<!-- This file represents the invoice page -->
<!-- This was made by Franco and modified by Micheal -->
<ui:composition
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:b="http://bootsfaces.net/ui" 
    xmlns:f="http://xmlns.jcp.org/jsf/core">

    <b:container>
        <h3>#{msgs.invoice}</h3>
        <div class="row mb-3">
            <div class="col-sm-2">
                <div class="row mb-3" >
                    <h:outputText value="#{msgs.saleNum}"/>
                </div>
                <div class="row mb-3">
                    <h:outputText value="#{msgs.total}"/>
                </div>
                <div class ="row mb-3">
                    <h:outputText value="#{msgs.totalSaving}"/>
                </div>
                <div class ="row mb-3">
                    <h:outputText value="#{msgs.paidWith}"/>
                </div>
            </div>
            <div class="col-sm-2">
                <div class ="row mb-3">
                    <h:outputText value="#{invoice.saleNumber}"/>
                </div>
                <div class ="row mb-3">
                    <h:outputText value="#{invoice.total}$"/>
                </div>
                <div class ="row mb-3">
                    <h:outputText value="#{invoice.totalSavings}$"/>
                </div>
                <div class ="row mb-3">
                    <h:outputText value="**** #{invoice.lastFourDigits}"/>
                </div>
            </div>

        </div>
        <h:dataTable value="#{invoice.boughtBooks}" var="book" class="table">
            <h:column>
                <f:facet name="header" >Title</f:facet>
                #{book.title}
            </h:column>
            <h:column>
                <f:facet name="header">Author</f:facet>
                #{book.authorId.name}
            </h:column>
            <h:column>
                <f:facet  name="header">ISBN</f:facet>
                #{book.isbn}
            </h:column>
            <h:column>
                <f:facet name="header">Price</f:facet>
                #{book.salePrice}
            </h:column>
        </h:dataTable>
        <h:form>
            <h:selectBooleanCheckbox value="#{invoice.sendByEmail}" >#{msgs.sendByEmail}</h:selectBooleanCheckbox>
            <h:commandButton type="submit" class="btn btn-default btn-block orangeBackground textWhite" action="#{invoice.redirectToDownloads()}" value="#{msgs.downloadsPage}"/>
        </h:form>
    </b:container>

</ui:composition>
